Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbw
Class SbwVisiblePlugin

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          ru.biosoft.access.AbstractDataCollection
              ru.biosoft.plugins.VisiblePlugin
                  biouml.plugins.sbw.SbwVisiblePlugin

All Implemented Interfaces:
  DataCollection, DataElement

public class SbwVisiblePlugin
extends VisiblePlugin

Wrapper class to get access to SBW modules from BioUML. The collection itself consists from two sub collections: first group SbwServices by categories, second group them by SbwModules.

Pendung:
  add SbwPlugin using SBW.addListener and try to translate SBW events to DataCollectionEvents.

Field Summary
`protected static java.lang.String` | `CATEGORY_ROOT`
`protected static java.lang.String` | `MODULES_ROOT`
`protected DataCollection` | `sbwCategories`
`protected DataCollection` | `sbwModules`

Fields inherited from class ru.biosoft.plugins.VisiblePlugin
`PROBLEMS_SHUTDOWN, PROBLEMS_STARTUP`

Fields inherited from class ru.biosoft.access.AbstractDataCollection
`cat, info, notificationEnabled, path, propagationEnabled, v_cache`

Fields inherited from interface ru.biosoft.access.DataCollection
`CHILDREN_NODE_IMAGE, CHILDREN_NODE_VISIBLE, CLASS_PROPERTY, CLASSPATH_JAR_PROPERTY, COMPARATOR_OBJECT, CONFIG_FILE_PROPERTY, CONFIG_PATH_PROPERTY, DATA_ELEMENT_CLASS_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_SUFFIX, DEFAULT_FILTER_CONFIG_SUFFIX, DEFAULT_FORMAT_CONFIG_SUFFIX, DEFAULT_NODE_CONFIG_SUFFIX, DEFAULT_REPOSITORY, DESCRIPTION_PROPERTY, DISPLAY_NAME_PROPERTY, FILE_PATH_PROPERTY, FILE_PROPERTY, FILTER_PROPERTY, ID_FORMAT, IS_ROOT, JOB_CONTROL_PROPERTY, LATE_CHILDREN_INITIALIZATION, MUTABLE, NAME_PROPERTY, NEXT_CONFIG, NODE_IMAGE, NODE_VISIBLE, PRIMARY_COLLECTION, REMOVE_CHILDREN, TRANSFORMER_CLASS`

Constructor Summary
`SbwVisiblePlugin(DataCollection parent, java.util.Properties properties)` Constructor to be used by `CollectionFactory` to create a Plugin.

Method Summary
`java.lang.Class` | `getDataElementType()` Gets the type of DataElements stored in the data collection.
`static SbwVisiblePlugin` | `getInstance()`
`java.lang.String` | `getStatus()`
`java.util.Iterator` | `iterator()` Returns an iterator over the data elements in this collection.
`void` | `shutdown()` Shuts down this plug-in and discards all plug-in state.
`void` | `startup()` Starts up this plug-in.

Methods inherited from class ru.biosoft.plugins.VisiblePlugin
`close, getDescription`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, cachePut, checkMutable, contains, contains, doAddPostNotify, doAddPreNotify, doGet, doPut, doRemove, doRemovePostNotify, doRemovePreNotify, finalize, fireElementAdded, fireElementChanged, fireElementRemoved, fireElementWillAdd, fireElementWillChange, fireElementWillRemove, get, getCompleteName, getInfo, getNameList, getSize, initLog, isMutable, isNotificationEnabled, isPropagationEnabled, makeInfo, propagateElementChanged, propagateElementWillChange, put, registerRoot, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Field Detail

### CATEGORY_ROOT

    protected static final java.lang.String CATEGORY_ROOT

See Also:
  Constant Field Values

### MODULES_ROOT

    protected static final java.lang.String MODULES_ROOT

See Also:
  Constant Field Values

### sbwCategories

    protected DataCollection sbwCategories

### sbwModules

    protected DataCollection sbwModules

Constructor Detail

### SbwVisiblePlugin

    public SbwVisiblePlugin(DataCollection parent,
                            java.util.Properties properties)

  Constructor to be used by `CollectionFactory` to create a Plugin.

Method Detail

### getInstance

    public static SbwVisiblePlugin getInstance()

### getDataElementType

    public java.lang.Class getDataElementType()

  Description copied from class: `AbstractDataCollection`
  Gets the type of DataElements stored in the data collection. The DataElement type should be specified using {&link DATA_ELEMENT_CLASS_PROPERTY} or should be specified in derived collections.

  Specified by:
    `getDataElementType` in interface `DataCollection`
  Overrides:
    `getDataElementType` in class `AbstractDataCollection`
  Returns:
    Type of DataElements stored in the data collection.

### getStatus

    public java.lang.String getStatus()

### startup

    public void startup()
                 throws java.lang.Exception

  Description copied from class: `VisiblePlugin`
  Starts up this plug-in.

  Clients must never explicitly call this method.

  Overrides:
    `startup` in class `VisiblePlugin`
  Throws:
    `java.lang.Exception`

### shutdown

    public void shutdown()

  Description copied from class: `VisiblePlugin`
  Shuts down this plug-in and discards all plug-in state.

  Clients must never explicitly call this method.

  Overrides:
    `shutdown` in class `VisiblePlugin`

### iterator

    public java.util.Iterator iterator()

  Description copied from interface: `DataCollection`
  Returns an iterator over the data elements in this collection. There are no guarantees concerning the order in which the elements are returned. If the data collection is modified while an iteration over it is in progress, the results of the iteration are undefined.

  Specified by:
    `iterator` in interface `DataCollection`
  Overrides:
    `iterator` in class `VisiblePlugin`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.